## kissdx.conf pour kissdx V0.14
## kissdx Serveur, fichier de configuration
## Traduction Morel Gilles (http://www.saturne.abeille.com/site/kiss_info/)


## ------------------- Emplacement des ressources Video Audio Images -------------------


## Localisation des Ressources multimedia, liste des repertoires
## pour chaque type de ressources multimedia:

audiopath	=	/opt/kissdx/audio
videopath	=	/opt/kissdx/films
picturepath	=	/opt/kissdx/images

### Version 0.11-3 ###
## Filtrage des extensions de fichiers multimedia liste et envoyer au terminal KISS
## les listes doivent etre separe par des virgules, sans espace, sensible a la casse
## En cas d'omission,tous les fichiers correspondant au differents repertoires seront 
## listes et envoyes au terminal Kiss.

audiofileextensions = mp3,ogg,wma,wav
videofileextensions = mpg,mpeg,vob,avi,wmv,ts,mp4
picturefileextensions = jpg,jpeg,png,bmp 

### Version 0.13-6 ###
## Liste des extensions des fichiers Images a gerer.
## la listes doivent etre separee par des virgules, sans espace, sensible a la casse
## Sans cette option, seul les fichiers .iso seront interpretes en image ISO

isofileextensions		= iso,img

### Version 0.14 ###
## renamefiletypes = sourcetype1:targettype1,sourcetype2:targettype2,etc...
## Utiliser cette option pour renommer automatiquement certaines extensions de fichier,
## par une autre lors de l'affichage sur le lecteur. Elle permet de forcer le lecteur 
## a lire le fichier. Attention dans certains cas il faudra utiliser des scripts pretrigger
## et posttrigger pour convertir le fichier par exemple avant la lecture du lecteur.

renamefiletypes = ts:mpg,wav:mp3


### Version 0.14 ###
## Definir par quel methode l'acces a un dvd (en ISO ou repertoire de DVD)
## doit etre envoyer au kiss. La bibliotheque libdvdread par exemple 
## transforme la structure VOB en fichier MPG pour etre lu directement par le lecteur. (Sans menu)
## dvdaccessmethod = { libdvdnav | libdvdread }
## Par default la bibliotheque libdvdread est utilisee

#dvdaccessmethod = libdvdnav



## --------------------- Options d'affichage  -------------------

### Version 0.13-9 ###
## Pour lister ou non, les dossiers ou fichiers cachés (commencant par un point) 
## si l'option est active, un fichier virtuel est creer a la racine des photos
## est le nom "gui-text.jpeg". Ainsi avec la telecommande du lecteur ont peut 
## en selectionnant se fichier activer ou desactiver le listage des fichiers
## ou dossiers caches. Une image decrivant le nouvelle etat s'affiche.


#enablehiddenfilestext = Toggle all files status
#enablehiddenfilestext = Show it all

### Version 0.13-9 ###
## Si enablehiddenfilestext est specifie, alors enablehiddenfilesminutes peut etre
## specifie pour fixer un delai de temporisation de n.
## Si c'est le cas, apres que l'affichage du contenu des fichiers caches soit active,
## alors n minutes desactivera l'option automatiquement.

#enablehiddenfilesminutes = 1

### Version 0.14 ###
## Pour lister, les dossiers ou fichiers cachés par default (commencant par un point) 
## Par default elle est a NO

#listhiddenentries = yes

### Version 0.14 ###
## Nom de traduction du dossier Recently used 
## par Default la valeur est [Recently used].

recentlyusedfoldername = [Derniers fichiers lus]


### Version 0.14 ###
##Sur les firmwares plus récents pour le DP-600 et dp-1600 joueurs, les listes de fichiers 
##sont automatiquement triées par ordre alphabétique par le lecteur. Cela gâchera le séquençage spécial
##fait par kissdx (tel que le [Récemment utilisé] dossier en haut). Pour y remédier, kissdx pouvez ajouter
##des numéros de séquence au début de tous les noms de dossier et les noms de fichiers.
## Par default : NO

#displaysequencenumbers = yes



## --------------------- Cache et retaillage des images ----------------------------------------

### Version 0.13-8 ###
## Une toute nouvelle fonctionnalite de kissdx : le cache des images
## Indiquer l'emplacement si dessous , du repertoire de cache.
## Si l'option est omise, le kissdx utilisera le repertoire picturepath (ci-dessus) pour ce stockage.

persistentstoragepath = /opt/tmp

### Version 0.13-6 ###
## Indiquer la taille Maximum du cache
## Par default l'option est 0 pour arreter le cache.
## La valeur -1 permet un cache illimite.

picturecachesize = -1


### Version 0.13-6 ###
## Les options de retaillage des images (Longeur / largeur et ZOOM en pourcentage)
## specifier les 2 premieres valeurs pour mettre en marche le retaillage d'image.
picturetargetwidth	= 720
picturetargetheight	= 576
picturemaxzoompercent	= 20

### Version 0.13-6 ###
## Intervalle minimum (en minutes) entre chaque reduction de la taille du cache de l'image mise a l'echelle,
## reduit a la taille maximale definie par picturecachesize.
## La valeur par defaut est 5 minutes. = Plus grand nombre pour de meilleures performances.
## Si definie a 0, taille de cache maximale sera appliquee chaque fois qu'une image est regardee,
## donnant potentiellement tres mauvaise performance s'il est combine avec un grand picturecachesize.

# picturecachetrimminginterval = 5



## ---------------------- traitement des fichiers multimedia ------------------

## Les scripts "pre" et "post-triggers", sont appeles avant et apres (respectivement)
## l'utilisation d'un GET ou d'un SIZE. Ces scripts necessitent/prennent un fichier 
## en argument d'entree et doivent retourner le nouveau fichier sur la sortie standard
## ainsi qu'un status de sortie 0 pour continuer normalement.
## Un status de sortie different de "0" engendre un plantage de la fonction appelee (GET ou SIZE).
##
## Ainsi vous pouver faire executer un traitement quelconque au fichier multimedia selectionne
## par le kiss avant de lui envoyer. Voir l'exemple de pretrigger fournit avec kissdx pour
## intercepter les fichiers JPG ou Gif afin de les retailler en 720x576.
##
## Note :ce script kissd-pretrigger pour le traitement de l'image s'appuie de la commande
## convert de ImageMagick. Pour l'installer sous Debian : apt-get install imagemagick
## Renseigner ci-dessous l'emplacement de ses 2 scripts


#pretrigger = /opt/kissdx/kissd-pretrigger
#posttrigger = /opt/kissdx/kissd-posttrigger


### Version 0.14 ###
##Il est également possible de faire exécuter des scripts quand un dossier est selectionne a partir du kiss
## Renseigner ci-dessous l'emplacement de ses 2 scripts

#directorypretrigger	=	/usr/local/bin/kissd-directorypretrigger
#directoryposttrigger	=	/usr/local/bin/kissd-directoryposttrigger



## ---------------------------- Sous titres ---------------------------------
### Version 0.13-6 ###
## Formatage des sous-titre
## kissdx enverra jusqu'a 7 sous-titres des fichiers qui correspondent au format apres la "colonne".
## Ce format peut contenir les variables si dessous, relatifs aux differents fichiers mutimedia
##   {name} = Nom du fichier sans l'extension (utilise par default)
##   {ext}  = extension
##   {path} = chemin (a gauche du nom de fichier, pas de barre oblique finale)
## Si ce parametre est omis, une valeur de "*: (nom }*.*" est pris en charge.

subtitlefilemapping		= *:{name}*.*


### Version 0.14 ###
## Chaine de caractere pour creer une signature du serveur kiss envoyer au lecteur.
## Elle est composé par default : {ShortHostName} - kissdx {Version},{VersionDate} {ConfigReloadStatus}

#serversignature = kissdx {Version} ({VersionDate}) @ {ShortHostName} {ConfigReloadStatus}


## ----------------------------Serveur KML (page web)--------------------------

## URL de redirection

#kmlforwardurl	=	http://tinystocks.com/k/kiss.php


## -------------------------Jeu de caracteres ---------------------------------

### Version 0.13-5 ###
## Jeux de caracteres pour la conversion entre le serveur et le client Kiss
## (preciser les deux, sinon la conversion n'aura pas lieu)
## NOTE:  Pour obtenir des jeux de caracteres sur un systeme NSLU2:  ipkg install gconv-modules

#server_character_set	= CP850
#client_character_set	= ISO-8859-1


### Version 0.14 ###
##Doit être spécifié si le fichier de configuration est edite
##avec un jeu de caractères qui est différente de celle du lecteur KISS

#config_character_set = ISO-8859-1


### Version 0.14 ###
##De même, si les listes de lecture sont edite avec un jeu de caracteres 
##qui est differente de celle du lecteur.

#playlist_character_set	= ISO-8859-1



## --------------------- administration serveur -------------------------------

### Version 0.14 ###
## Administration server settings: Listen for request on tcp port 8003 (recommended).
## Administration server is not activated by default for security reasons.
##kissdx peuvent être gérés localement ou à distance en utilisant une instance 
##kissdx secondes pour envoyer les commandes d'administration au démon exécute kissdx.
##Cette fonctionnalité fonctionne par kissdx écoute pour les commandes sur un port
##TCP et envoyant des réponses Retour en utilisant un protocole de commande. 
##La fonctionnalité est activée avec la mise en adminserver_port. Nous vous recommandons d'utiliser le port TCP 8003.
##envoie d'une commande: ./kissdx -m mymediaserver -p 8003 -s reload_config

adminserver_port = 8003


### Version 0.14 ###
## Reload configuration from file(s) on receipt of UDP broadcast packet? (yes/no)
## Default is NO
##La décision sur le rechargement manuel ou automatique des paramètres de configuration
##de kissdx.conf dépend de votre environnement et vos besoins. Si vous avez besoin
##de rafraîchir la configuration kissdx fréquemment sans arrêt des services kissdx,
##l'option configautoload peut être définie à yes, afin de permettre le rechargement
##automatique de la configuration à chaque fois qu'un lecteur KiSS affiche le 
##menu «Recherche-server PC Link" (UDP requête de diffusion) :

#configautoload = yes

### Version 0.14 ###
## Emplacement pour le stokage du fichier PID
## Par defaut il y a pas de fichier PID de creer.
## Ceci permettra aux utilisateurs et d'autres programmes d'identifier le processus
## du démon kissdx.

#pidfilepath	= /var/run/kissdx.pid


## ----------------------- Limitation du serveur ------------------------------------------

### Version 0.12-4 ###
## Nombre Maximum d'entre dans la liste des derniers fichiers charges
##(30 fichiers par default, mettre 0 pour desactiver la fonction)

#max_recent_files = 30

### Version 0.13-8 ###
## Un delai de temporisation (en secondes) peut etre configure pour nettoyer l'attente des processus.
## Necessaire seulement si le lecteur KiSS ne ferme pas correctement toutes les connexions 
## (qui semble se produire lors de la lecture audio Ogg Vorbis
## des fichiers sur un DP-600 avec firmware 3.0.34.)
## Pas d'option ou une valeur de 0 ou moins de delai permet de desactiver la verification. 

#networktimeoutinterval = 3600


### Version 0.14 ###
##filtrage pour un serveur avec plusieurs cartes réseau installé
##par default 0.0.0.0 (toutes les carte reseaux sont accepter par le kissdx)

#listenaddress = 192.168.1.2

##------------------------------------------------------------------------------------------


### fin du fichier
